StatsHub Docs
APIEndpoint referenceTracker

/tracker/bet

Edits and settlement.

PATCH
/api/tracker/bet

Edits and settlement.

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/tracker/bet" \  -H "Content-Type: application/json" \  -d '{    "actualResult": 0,    "bookmakerId": 0,    "id": 0,    "notes": "string",    "oddsTaken": 0,    "source": "string",    "stake": 0,    "status": "string",    "tags": [      "string"    ]  }'
{  "data": {    "actualResult": 0,    "bookmakerId": 0,    "country": "string",    "createdAt": "string",    "direction": "string",    "id": 0,    "leagueName": "string",    "line": 0.1,    "marketType": "string",    "matchDate": 0,    "matchId": 0,    "modelName": "string",    "notes": "string",    "oddsTaken": 0.1,    "playerId": 0,    "playerName": "string",    "profitLoss": 0,    "settledAt": "string",    "source": "string",    "stake": 0.1,    "stakeCurrency": "string",    "status": "string",    "tags": [      "string"    ],    "teamId": 0,    "teamName": "string",    "uniqueTournamentId": 0,    "unitValue": 0,    "userId": "string"  },  "message": "string"}